# apps/webserver/httpd.c File Reference

## Detailed Description

Web server.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file httpd.c.

`#include "uip.h"`
`#include "httpd.h"`
`#include "httpd-fs.h"`
`#include "httpd-cgi.h"`
`#include "http-strings.h"`
`#include <string.h>`

Go to the source code of this file.

## Defines

#define | STATE_WAITING 0
#define | STATE_OUTPUT 1
#define | ISO_nl 0x0a
#define | ISO_space 0x20
#define | ISO_bang 0x21
#define | ISO_percent 0x25
#define | ISO_period 0x2e
#define | ISO_slash 0x2f
#define | ISO_colon 0x3a

## Functions

void | httpd_appcall (void)
void | httpd_init (void)
| Initialize the web server.